import request from '@/utils/request'
import download from '@/utils/request';


// 新建操作文件
export function creCzData(param) {
  return request({
    url: '/knowledge/operateDocument/creNewCz',
    method: 'post',
    data: param
  })
}
// 新建产品
export function creCpData(param) {
  return request({
    url: '/knowledge/operateDocument/creNewCp',
    method: 'post',
    data: param
  })
}
// 新建
export function creGyData(param) {
  return request({
    url: '/knowledge/operateDocument/creNewGy',
    method: 'post',
    data: param
  })
}

// 查询角色列表
export function findAll(query) {
  return request({
    url: '/knowledge/tLaws/findAll',
    method: 'post',
    data: query
  })
}



export function findOne(query) {
  return request({
    url: '/knowledge/tLaws/findOne',
    method: 'get',
    params: query
  })
}

export function recordsQuery(query) {
  return request({
    url: '/knowledge/tLaws/recordsQuery',
    method: 'get',
    params: query
  })
}



export function updateData(query) {
  return request({
    url: '/knowledge/tLaws/update',
    method: 'post',
    data: query
  })
}

export function filing(query) {
  return request({
    url: '/knowledge/tLaws/filing',
    method: 'get',
    params: query
  })
}

export function deleteData(ids) {
  return request({
    url: '/knowledge/tLaws/delete',
    method: 'post',
    params:ids
  })
}

export function exportData(url, params, filename, config) {
  return download({
    url:url,
    params:null,
    filename:filename,
    config:null

  })
}
